Skip to content

Get an Attachment

Request

Get an attachment by ID

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
attachment_idinteger, (int64)required

Numeric ID of the attachment to get

curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/attachments/{attachment_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Attachment response

Bodyapplication/json
dataobject(attachment_base)
metaobject(single_metadata)
Response
{ "data": { "id": 1, "entity_type": "string", "target_id": 0, "strategy_id": 1, "restriction": "INCLUDE", "operator": "OR", "created_on": "string", "updated_on": "string", "version": 0, "or_better": true }, "meta": { "status": "success" } }